Subject: Re: Status of 2.5.X kernels on PPC Linux, anyone working with NPTL?

From: Giuliano Pochini <[email-masked]>
Date: Sun, 27 Oct 2002 13:30:14 +0100

Kevin Hendricks wrote:

> Also, is anyone here actively working on Ulrich Drepper's New Posix
> Thread Library (NPTL) to add in support for ppc Linux?  Has anyone
> decided on what register will be used for Thread Local Storage on PPC
> (32bit)?  (Is this r13 on ppc64?).  Have the necessary modifications to
> the ABI/compiler been made to support a dedicated thread local storage
> register?

Ehm, sorry for my silly question, but why it is necessary to keep
a register reserved for TLS ?  Where can I find detailed infos about TLS ?

Bye.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/